For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chatbot users

Lists all users of a chatbot

get

Required Permission: chatbots.users.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

workspaceIdanyRequired

The ID of the workspace.

Responses
200

List of users.

application/json
errorstringOptional

Optional error message.

get
/v1/workspaces/{workspaceId}/chatbots/{chatbotId}/users

Adds a user to a chatbot

post

Required Permission: chatbots.users.add

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

workspaceIdanyRequired

The ID of the workspace.

Body
userIdstringRequired

The ID of the user to be added.

Example: PmVSyFWMFYWB3xvHHwsc
Responses
post
/v1/workspaces/{workspaceId}/chatbots/{chatbotId}/users

Removes a user from a chatbot

delete

Required Permission: chatbots.users.remove

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

userIdstringRequired

The ID of the user to be removed.

workspaceIdanyRequired

The ID of the workspace.

Responses
200

User successfully removed.

application/json
removedbooleanOptional

Indicates whether the user was successfully removed.

Example: true
errorstringOptional

Optional error message.

delete
/v1/workspaces/{workspaceId}/chatbots/{chatbotId}/users/{userId}

Assigns a role to a user for the chatbot

post

Required Permission: chatbots.users.roles.grant

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

userIdstringRequired

The Id of the user.

workspaceIdanyRequired

The ID of the workspace.

Body
rolestring · enumRequired

The role to be assigned.

Example: ChatbotEditorPossible values:
Responses
post
/v1/workspaces/{workspaceId}/chatbots/{chatbotId}/users/{userId}/roles

Revokes a role from a user for the chatbot

delete

Required Permission: chatbots.users.roles.revoke

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

userIdstringRequired

The Id of the user.

rolestringRequired

The role to be revoked.

workspaceIdanyRequired

The ID of the workspace.

Body
Responses
200

Role successfully revoked.

application/json
successbooleanRequired

Indicates whether the role was successfully revoked.

Example: true
errorstringOptional

Optional error message.

delete
/v1/workspaces/{workspaceId}/chatbots/{chatbotId}/users/{userId}/roles/{role}

Last updated